Unable to install the latest version of mothur V.1.48.0

I am trying to install the latest version of mothur V.1.48.0 in Ubuntu20.04.4 LTS, however after doing so, I still getting mothur V.1.42.1.
Kindly help.

Hi Rashmi,

Do you have mothur in your PATH? I suspect you might have installed the new version to somewhere that you weren’t expecting. If you run which mothur are you getting the mothur that you think are getting? Alternatively, if you are in the directory with mothur, make sure you are running ./mothur rather than mothur.

Pat